Show / Hide Table of Contents

# Struct ImGuiIOPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiIOPtr

### Constructors

| Improve this Doc View Source

#### ImGuiIOPtr(ImGuiIO*)

##### Declaration

    public ImGuiIOPtr(ImGuiIO*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiIO* | nativePtr |

| Improve this Doc View Source

#### ImGuiIOPtr(IntPtr)

##### Declaration

    public ImGuiIOPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### BackendFlags

##### Declaration

    public ImGuiBackendFlags BackendFlags { get; }

##### Property Value

Type | Description
--- | ---
ImGuiBackendFlags |

| Improve this Doc View Source

#### BackendLanguageUserData

##### Declaration

    public IntPtr BackendLanguageUserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### BackendPlatformName

##### Declaration

    public NullTerminatedString BackendPlatformName { get; }

##### Property Value

Type | Description
--- | ---
NullTerminatedString |

| Improve this Doc View Source

#### BackendPlatformUserData

##### Declaration

    public IntPtr BackendPlatformUserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### BackendRendererName

##### Declaration

    public NullTerminatedString BackendRendererName { get; }

##### Property Value

Type | Description
--- | ---
NullTerminatedString |

| Improve this Doc View Source

#### BackendRendererUserData

##### Declaration

    public IntPtr BackendRendererUserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ClipboardUserData

##### Declaration

    public IntPtr ClipboardUserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ConfigFlags

##### Declaration

    public ImGuiConfigFlags ConfigFlags { get; }

##### Property Value

Type | Description
--- | ---
ImGuiConfigFlags |

| Improve this Doc View Source

#### ConfigInputTextCursorBlink

##### Declaration

    public bool ConfigInputTextCursorBlink { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigMacOSXBehaviors

##### Declaration

    public bool ConfigMacOSXBehaviors { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigWindowsMoveFromTitleBarOnly

##### Declaration

    public bool ConfigWindowsMoveFromTitleBarOnly { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ConfigWindowsResizeFromEdges

##### Declaration

    public bool ConfigWindowsResizeFromEdges { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### DeltaTime

##### Declaration

    public float DeltaTime { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DisplayFramebufferScale

##### Declaration

    public Vector2 DisplayFramebufferScale { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### DisplaySize

##### Declaration

    public Vector2 DisplaySize { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### FontAllowUserScaling

##### Declaration

    public bool FontAllowUserScaling { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### FontDefault

##### Declaration

    public ImFontPtr FontDefault { get; }

##### Property Value

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### FontGlobalScale

##### Declaration

    public float FontGlobalScale { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Fonts

##### Declaration

    public ImFontAtlasPtr Fonts { get; }

##### Property Value

Type | Description
--- | ---
ImFontAtlasPtr |

| Improve this Doc View Source

#### Framerate

##### Declaration

    public float Framerate { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetClipboardTextFn

##### Declaration

    public IntPtr GetClipboardTextFn { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ImeSetInputScreenPosFn

##### Declaration

    public IntPtr ImeSetInputScreenPosFn { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ImeWindowHandle

##### Declaration

    public IntPtr ImeWindowHandle { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### IniFilename

##### Declaration

    public NullTerminatedString IniFilename { get; }

##### Property Value

Type | Description
--- | ---
NullTerminatedString |

| Improve this Doc View Source

#### IniSavingRate

##### Declaration

    public float IniSavingRate { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### InputQueueCharacters

##### Declaration

    public ImVector<ushort> InputQueueCharacters { get; }

##### Property Value

Type | Description
--- | ---
ImVector<System.UInt16> |

| Improve this Doc View Source

#### KeyAlt

##### Declaration

    public bool KeyAlt { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### KeyCtrl

##### Declaration

    public bool KeyCtrl { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### KeyMap

##### Declaration

    public RangeAccessor<int> KeyMap { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Int32> |

| Improve this Doc View Source

#### KeyRepeatDelay

##### Declaration

    public float KeyRepeatDelay { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### KeyRepeatRate

##### Declaration

    public float KeyRepeatRate { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### KeysDown

##### Declaration

    public RangeAccessor<bool> KeysDown { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### KeysDownDuration

##### Declaration

    public RangeAccessor<float> KeysDownDuration { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### KeysDownDurationPrev

##### Declaration

    public RangeAccessor<float> KeysDownDurationPrev { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### KeyShift

##### Declaration

    public bool KeyShift { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### KeySuper

##### Declaration

    public bool KeySuper { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### LogFilename

##### Declaration

    public NullTerminatedString LogFilename { get; }

##### Property Value

Type | Description
--- | ---
NullTerminatedString |

| Improve this Doc View Source

#### MetricsActiveAllocations

##### Declaration

    public int MetricsActiveAllocations { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MetricsActiveWindows

##### Declaration

    public int MetricsActiveWindows { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MetricsRenderIndices

##### Declaration

    public int MetricsRenderIndices { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MetricsRenderVertices

##### Declaration

    public int MetricsRenderVertices { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MetricsRenderWindows

##### Declaration

    public int MetricsRenderWindows { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### MouseClicked

##### Declaration

    public RangeAccessor<bool> MouseClicked { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### MouseClickedPos

##### Declaration

    public RangeAccessor<Vector2> MouseClickedPos { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Numerics.Vector2> |

| Improve this Doc View Source

#### MouseClickedTime

##### Declaration

    public RangeAccessor<double> MouseClickedTime { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Double> |

| Improve this Doc View Source

#### MouseDelta

##### Declaration

    public Vector2 MouseDelta { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseDoubleClicked

##### Declaration

    public RangeAccessor<bool> MouseDoubleClicked { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### MouseDoubleClickMaxDist

##### Declaration

    public float MouseDoubleClickMaxDist { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MouseDoubleClickTime

##### Declaration

    public float MouseDoubleClickTime { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MouseDown

##### Declaration

    public RangeAccessor<bool> MouseDown { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### MouseDownDuration

##### Declaration

    public RangeAccessor<float> MouseDownDuration { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### MouseDownDurationPrev

##### Declaration

    public RangeAccessor<float> MouseDownDurationPrev { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### MouseDownOwned

##### Declaration

    public RangeAccessor<bool> MouseDownOwned { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### MouseDownWasDoubleClick

##### Declaration

    public RangeAccessor<bool> MouseDownWasDoubleClick { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### MouseDragMaxDistanceAbs

##### Declaration

    public RangeAccessor<Vector2> MouseDragMaxDistanceAbs { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Numerics.Vector2> |

| Improve this Doc View Source

#### MouseDragMaxDistanceSqr

##### Declaration

    public RangeAccessor<float> MouseDragMaxDistanceSqr { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### MouseDragThreshold

##### Declaration

    public float MouseDragThreshold { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MouseDrawCursor

##### Declaration

    public bool MouseDrawCursor { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### MousePos

##### Declaration

    public Vector2 MousePos { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MousePosPrev

##### Declaration

    public Vector2 MousePosPrev { get; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseReleased

##### Declaration

    public RangeAccessor<bool> MouseReleased { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Boolean> |

| Improve this Doc View Source

#### MouseWheel

##### Declaration

    public float MouseWheel { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MouseWheelH

##### Declaration

    public float MouseWheelH { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImGuiIO*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiIO* |

| Improve this Doc View Source

#### NavActive

##### Declaration

    public bool NavActive { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### NavInputs

##### Declaration

    public RangeAccessor<float> NavInputs { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### NavInputsDownDuration

##### Declaration

    public RangeAccessor<float> NavInputsDownDuration { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### NavInputsDownDurationPrev

##### Declaration

    public RangeAccessor<float> NavInputsDownDurationPrev { get; }

##### Property Value

Type | Description
--- | ---
RangeAccessor<System.Single> |

| Improve this Doc View Source

#### NavVisible

##### Declaration

    public bool NavVisible { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### RenderDrawListsFnUnused

##### Declaration

    public IntPtr RenderDrawListsFnUnused { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### SetClipboardTextFn

##### Declaration

    public IntPtr SetClipboardTextFn { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### UserData

##### Declaration

    public IntPtr UserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### WantCaptureKeyboard

##### Declaration

    public bool WantCaptureKeyboard { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### WantCaptureMouse

##### Declaration

    public bool WantCaptureMouse { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### WantSaveIniSettings

##### Declaration

    public bool WantSaveIniSettings { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### WantSetMousePos

##### Declaration

    public bool WantSetMousePos { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### WantTextInput

##### Declaration

    public bool WantTextInput { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### AddInputCharacter(UInt32)

##### Declaration

    public void AddInputCharacter(uint c)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | c |

| Improve this Doc View Source

#### AddInputCharactersUTF8(String)

##### Declaration

    public void AddInputCharactersUTF8(string str)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str |

| Improve this Doc View Source

#### ClearInputCharacters()

##### Declaration

    public void ClearInputCharacters()

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiIO* to ImGuiIOPtr)

##### Declaration

    public static implicit operator ImGuiIOPtr(ImGuiIO*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiIO* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiIOPtr |

| Improve this Doc View Source

#### Implicit(ImGuiIOPtr to ImGuiIO*)

##### Declaration

    public static implicit operator ImGuiIO*(ImGuiIOPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiIOPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiIO* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiIOPtr)

##### Declaration

    public static implicit operator ImGuiIOPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiIOPtr |